# Set all setings
execute if score Tiles_drops config matches 0 run gamerule doTileDrops false
execute if score Tiles_drops config matches 1 run gamerule doTileDrops true
execute if score Firetick config matches 0 run gamerule doFireTick false
execute if score Firetick config matches 1 run gamerule doFireTick true
execute if score Regen_type config matches 0 run gamerule naturalRegeneration true
execute if score Regen_type config matches 2 run gamerule naturalRegeneration false
execute if score Day/Night_cycle config matches 0 run gamerule doDaylightCycle false
execute if score Day/Night_cycle config matches 1 run gamerule doDaylightCycle true
execute if score Time config matches 0 run time set 0t
execute if score Time config matches 1 run time set 6000t
execute if score Time config matches 2 run time set 12000t
execute if score Time config matches 3 run time set 18000t
execute if score Weather_cycle config matches 0 run gamerule doWeatherCycle false
execute if score Weather_cycle config matches 1 run gamerule doWeatherCycle false
execute if score Weather_cycle config matches 1 run function corewar:game/weather/start

execute if score Weather config matches 0 run weather clear
execute if score Weather config matches 1 run weather rain
execute if score Weather config matches 2 run weather thunder
execute if score core_HP config matches 0 run scoreboard players set AlphaCore disp_GameInfo 20
execute if score core_HP config matches 0 run scoreboard players set BravoCore disp_GameInfo 20
execute if score core_HP config matches 0 run scoreboard players set defaultCoreHP tmp 20
execute if score core_HP config matches 1 run scoreboard players set AlphaCore disp_GameInfo 30
execute if score core_HP config matches 1 run scoreboard players set BravoCore disp_GameInfo 30
execute if score core_HP config matches 1 run scoreboard players set defaultCoreHP tmp 30
execute if score core_HP config matches 2 run scoreboard players set AlphaCore disp_GameInfo 40
execute if score core_HP config matches 2 run scoreboard players set BravoCore disp_GameInfo 40
execute if score core_HP config matches 2 run scoreboard players set defaultCoreHP tmp 40
execute if score core_HP config matches 3 run scoreboard players set AlphaCore disp_GameInfo 50
execute if score core_HP config matches 3 run scoreboard players set BravoCore disp_GameInfo 50
execute if score core_HP config matches 3 run scoreboard players set defaultCoreHP tmp 50
execute if score core_HP config matches 4 run scoreboard players set AlphaCore disp_GameInfo 60
execute if score core_HP config matches 4 run scoreboard players set BravoCore disp_GameInfo 60
execute if score core_HP config matches 4 run scoreboard players set defaultCoreHP tmp 60

# Setting up GameID
scoreboard players add game gameId 1
scoreboard players operation @a[team=alpha] gameId = game gameId
scoreboard players operation @a[team=bravo] gameId = game gameId

# Set players spawnpoint
spawnpoint @a[team=alpha] 0 48 -112
spawnpoint @a[team=bravo] 0 48 112
spawnpoint @a[team=spec] 0 50 0

# init player in spawn area
effect give @a[team=!admin] instant_health 1 99 true
scoreboard players set @a deathStatus 0
scoreboard players set @a killTrigger 0
tp @a[team=bravo] 0 48 112 180 0
tp @a[team=alpha] 0 48 -112 0 0
execute if score Artefact_stuff config matches 1 run tag @a[team=!admin] add respawn
gamemode adventure @a[team=alpha]
gamemode adventure @a[team=bravo]
# Unnecessary code
#title @a[team=alpha] actionbar ["",{"text":"<","bold":true,"color":"dark_purple"},{"text":" Go! Go! Go! ","bold":true,"color":"light_purple"},{"text":">","bold":true,"color":"dark_purple"}]
#title @a[team=bravo] actionbar ["",{"text":"<","bold":true,"color":"dark_purple"},{"text":" Go! Go! Go! ","bold":true,"color":"light_purple"},{"text":">","bold":true,"color":"dark_purple"}]
#title @a[team=alpha] title [""]
#title @a[team=bravo] title [""]
#playsound minecraft:block.note_block.pling ambient @a[team=alpha] ~ ~ ~ 10 2 1
#playsound minecraft:block.note_block.pling ambient @a[team=bravo] ~ ~ ~ 10 2 1

# Reset player score
scoreboard players reset * disp_DeathCount
scoreboard players set @a[team=alpha] disp_DeathCount 0
scoreboard players set @a[team=bravo] disp_DeathCount 0
scoreboard players reset * disp_KillCount
scoreboard players set @a[team=alpha] disp_KillCount 0
scoreboard players set @a[team=bravo] disp_KillCount 0
scoreboard players reset * points
scoreboard players set @a[team=!admin] points 0

# Start the game
scoreboard objectives setdisplay sidebar disp_GameInfo
scoreboard objectives setdisplay list points
scoreboard players set game gameState 1
scoreboard players set @e[tag=OperatingSystem,limit=1] start 1
function corewar:game/respawn/shop/shop.init
function corewar:game/respawn/respawn_time/global/start
function corewar:timer/start
function corewar:game/points/passive-gain/start
function corewar:game/arena-limit/start-cleaners
tellraw @a[team=!admin] [{"text":"\n"},{"text":"Corewar ","color":"yellow"},{"text":">>","color":"gold","bold":true},{"text":" ","color":"gray"},{"text":"Go go go !","color":"green"},{"text":"\n"}]
execute at @a[team=!admin] run playsound minecraft:entity.ender_dragon.growl master @s ~ ~ ~ 1 1
#title @a[team=!admin] times 0 10 30